import SwiftUI

struct PostTitleView: View {

    @ObservedObject
    var post: LocalizedPost

    var body: some View {
        OptionalTextField("", text: $post.title)
            .font(.system(size: 24, weight: .bold))
            .foregroundStyle(Color.primary)
            .textFieldStyle(.plain)
            .lineLimit(2)
            .frame(minHeight: 30)
    }
}
